package net.zenrindatacom.geofenceapp_sample.activity.area;

import android.os.Bundle;

import net.zenrindatacom.geofenceapp_sample.R;
import net.zenrindatacom.geofenceapp_sample.activity.general.HashInformationActivity;
import net.zenrindatacom.geofenceapp_sample.geofence.GeoFenceWrapperManager;

import java.util.ArrayList;
import java.util.HashMap;

/**
 * エリア情報一覧画面
 */
public class AreaInformationListActivity extends HashInformationActivity {

    /**
     * onCreate
     */
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // 画面タイトル
        setTitle(getString(R.string.area_information_title));
        // データなしダイアログメッセージ
        dialogNotFoundMsgId = R.string.dlg_msg_alert_geofence_lib_area_not_found;
    }

    /**
     * データ取得
     *
     * @return 表示するデータ
     */
    @Override
    protected HashMap<String, Object> getList() {
        // 抽出条件
        String condition = getIntent().getStringExtra(INTENT_KEY_CONDITION);
        ArrayList<String> areaIdList = new ArrayList<>();
        if (condition.length() > 0) {
            areaIdList.add(condition);
        }

        //ジオフェンスライブラリからエリア一覧を取得する
        return  (HashMap<String, Object>) GeoFenceWrapperManager.getGeoFenceManager().areaInformationList(areaIdList);
    }
}
