package net.zenrindatacom.geofenceapp_sample.activity.notification;

import android.os.Bundle;

import net.zenrindatacom.geofenceapp_sample.R;
import net.zenrindatacom.geofenceapp_sample.activity.general.HashInformationActivity;
import net.zenrindatacom.geofenceapp_sample.geofence.GeoFenceWrapperManager;

import java.util.ArrayList;
import java.util.HashMap;

/**
 * 通知条件一覧画面
 */
public class NotificationListActivity extends HashInformationActivity {

    /**
     * onCreate
     */
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // 画面タイトル
        setTitle(getString(R.string.notification_condition_title));
        // データなしダイアログメッセージ
        dialogNotFoundMsgId = R.string.dlg_msg_alert_notification_condition_not_found;
    }

    /**
     * データ取得
     *
     * @return 表示するデータ
     */
    @Override
    protected HashMap<String, Object> getList() {
        // 抽出条件
        String condition = getIntent().getStringExtra(INTENT_KEY_CONDITION);
        ArrayList<String> conditionIdList = new ArrayList<>();
        if (condition.length() > 0) {
            conditionIdList.add(condition);
        }

        //ジオフェンスライブラリから通知条件一覧を取得する
        return (HashMap<String, Object>) GeoFenceWrapperManager.getGeoFenceManager().notificationConditionInformationList(conditionIdList);
    }
}
