package net.zenrindatacom.geofenceapp_sample.http;

/**
 * エリア情報サーバへアクセスした際に発生する例外クラス
 *
 * @author N.Miyahara
 */
public class AreaServerException extends Exception {
    public enum ErrorType {
        /** タイムアウト */
        TIMEOUT,
        /** サーバーエラー（パラメータエラー）*/
        SERVER_PARAM_ERROR,
        /** サーバエラー(上記以外) */
        SERVER_ERROR,
        /** その他のエラー */
        ETC_ERROR
    }

    /** エラータイプ */
    private final ErrorType errorType;

    public AreaServerException(ErrorType errorType) {
        this.errorType = errorType;
    }

    public AreaServerException(ErrorType errorType, Exception e) {
        super(e);
        this.errorType = errorType;
    }

    public ErrorType getErrorType() {
        return errorType;
    }
}
