package net.zenrindatacom.geofenceapp_sample.http.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * (エリア情報サーバ)エリア更新日時検索APIのレスポンスDTO
 *
 * @author N.Miyahara
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SrvSearchAreaUpdateTimeResDto {

    /**
     * レスポンス情報クラス
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    @JsonIgnoreProperties(ignoreUnknown=true)
    public static class Response {
        /**
         * 処理結果情報クラス
         */
        @SuppressWarnings("unused")
        @JsonInclude(JsonInclude.Include.NON_NULL)
        @JsonIgnoreProperties(ignoreUnknown=true)
        public static class Status {
            /** 処理結果コード */
            private int returnCode;
            public int getReturnCode() {
                return returnCode;
            }
            public void setReturnCode(int returnCode) {
                this.returnCode = returnCode;
            }

            /** エラーメッセージ */
            private String errorMessage;
            public String getErrorMessage() {
                return errorMessage;
            }
            public void setErrorMessage(String errorMessage) {
                this.errorMessage = errorMessage;
            }
        }

        /**
         * 取得結果情報クラス
         */
        @SuppressWarnings("unused")
        @JsonInclude(JsonInclude.Include.NON_NULL)
        @JsonIgnoreProperties(ignoreUnknown=true)
        public static class Result {
            /** 更新日時 */
            private String updateTime;
            public String getUpdateTime() {
                return updateTime;
            }
            public void setUpdateTime(String updateTime) {
                this.updateTime = updateTime;
            }
        }

        /** 処理結果情報 */
        private Status status;
        public Status getStatus() {
            return status;
        }
        @SuppressWarnings("unused")
        public void setStatus(Status status) {
            this.status = status;
        }

        /** 取得結果情報 */
        private Result result;
        public Result getResult() {
            return result;
        }
        @SuppressWarnings("unused")
        public void setResult(Result result) {
            this.result = result;
        }
    }

    /** レスポンス情報 */
    private Response response;
    public Response getResponse() {
        return response;
    }
    @SuppressWarnings("unused")
    public void setResponse(Response response) {
        this.response = response;
    }
}
