package net.zenrindatacom.geofenceapp_sample.locationlib;

/**
 * 位置測位ライブラリのインタフェースで使用する定義値
 */
public class LocationLibConst {
    //===============================================================================
    // 位置測位ライブラリへ渡すIntent内のKeyと値
    //===============================================================================
    //Key : Intentの種類
    public static final String KEY_OPERATION = "Operation";
    //Key : APIキー
    public static final String KEY_API_KEY = "ApiKey";
    //Key : クライアントID
    public static final String KEY_CLIENT_ID = "ClientID";
    //Key : 秘密鍵
    public static final String KEY_SECRET = "Secret";
    //Key : 認証サーバ環境
    public static final String KEY_AUTH_ENV = "AuthEnv";
    //Key : プロバイダの種類
    public static final String KEY_PROVIDER = "Provider";
    //Key : 測位間隔
    public static final String KEY_INTERVAL = "Interval";
    //Key : 測位結果通知時のアプリのパッケージ名
    public static final String KEY_PACKAGE_NAME = "PackageName";
    //Key : 測位結果通知時のアプリのクラス名
    public static final String KEY_CLASS_NAME = "ClassName";
    //Key : デバッグモード
    public static final String KEY_DEBUG = "Debug";
    //Key : 測位精度
    public static final String KEY_ACCURACY_THRESHOLD = "AccuracyThreshold";
    //Key : 同一位置判定距離
    public static final String KEY_SAME_POSITION_DETERMINING_DISTANCE = "SamePositionDeterminingDistance";
    //Key : 同一位置判定回数
    public static final String KEY_SAME_POSITION_DETERMINING_COUNT = "SamePositionDeterminingCountThreshold";
    //Key : NotificationID
    public static final String KEY_NOTIFICATION_ID = "NotificationID";
    //Key : Notification
    public static final String KEY_NOTIFICATION = "Notification";

    //Value : Intentの種類（測位開始）
    public static final String OPERATION_START = "START";
    //Value : Intentの種類（測位停止）
    public static final String OPERATION_STOP = "STOP";

    //===============================================================================
    // 位置測位ライブラリから通知時のIntent内のKeyと値
    // 　（上記の「位置測位ライブラリへ渡すIntent内のKeyと値」とKey定義が重複するものについては再定義しない）
    //===============================================================================

    //===== 通知時基本情報 =====

    //Key : 取得情報
    public static final String KEY_INFORMATION = "Information";
    //Key : 取得結果
    public static final String KEY_RESULT = "Result";
    //Value : 取得結果 OK
    public static final String RESULT_OK = "OK";
    //Value : 取得結果 NG
    public static final String RESULT_NG = "NG";

    //===== 測位結果Intent =====

    //Value : 取得情報(連続測位)
    public static final String INFORMATION_MEASURE = "Measure";
    //Key : 緯度
    public static final String KEY_LATITUDE = "Latitude";
    //Key : 経度
    public static final String KEY_LONGITUDE = "Longitude";
    //Key : 日時
    public static final String KEY_DATE = "Date";
    //Key : 精度
    public static final String KEY_ACCURACY = "Accuracy";
    //Key : 標高
    public static final String KEY_ALTITUDE = "Altitude";
    //Key : エラー原因
    public static final String KEY_CAUSE = "Cause";

    //===== 認証エラーIntent =====

    //Value : 取得情報(認証エラー)
    public static final String INFORMATION_AUTH_ERROR = "AuthError";
    //Key : エラーステータス
    public static final String KEY_AUTH_ERROR_STATE = "ErrorState";

    //===== 内部エラーIntent =====

    //Value : 取得情報(内部エラー)
    public static final String INFORMATION_ERROR = "Error";
    //Key : エラー内容
    public static final String KEY_ERROR_STATUS = "ErrorStatus";

    //===== オペレーション実行エラーIntent =====

    //Value : 取得情報(オペレーション実行エラー)
    public static final String INFORMATION_OPERATION_ERROR = "OperationError";

    //===============================================================================
    // 「認証エラー」Intent内の「エラーステータス（ErrorState）」の値定義
    //===============================================================================
    //Value : トークン発行認証失敗
    public static final int AUTH_ERROR_STATE_TOKEN_ISSUE = 1;
    //Value : 認証不許可
    public static final int AUTH_ERROR_STATE_AUTH_NOT_AUTHORIZED = 2;

    //===============================================================================
    // 「内部エラー」Intent内の「エラーステータス（ErrorStatus）」の値定義
    //===============================================================================
    //Value : 位置取得エラーによる測位停止
    public static final int INTERNAL_ERROR_STATUS_NOT_START_LOCATION = 1;
}

